## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContext::SetAndRestoreCurrentTemplate Class Reference

`#include <StylesheetExecutionContext.hpp>`

Collaboration diagram for StylesheetExecutionContext::SetAndRestoreCurrentTemplate:

List of all members.

## Public Methods

- SetAndRestoreCurrentTemplate ( StylesheetExecutionContext& executionContext, const ElemTemplate* theTemplate)
- ~SetAndRestoreCurrentTemplate ()

## Constructor & Destructor Documentation

StylesheetExecutionContext::SetAndRestoreCurrentTemplate::SetAndRestoreCurrentTemplate ( | StylesheetExecutionContext & executionContext,
| const ElemTemplate * theTemplate )

StylesheetExecutionContext::SetAndRestoreCurrentTemplate::~SetAndRestoreCurrentTemplate ( | )`[]`

The documentation for this class was generated from the following file:

- StylesheetExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.